#include "kglobalaccelhelper.h"
#include <QCoreApplication>
#include <QDebug>
#include <QDBusConnection>
#include <QDBusInterface>
#include <QDBusConnectionInterface>

const static QString kglobalService = QStringLiteral("org.kde.kglobalaccel");
const static QString kglobalPath = QStringLiteral("/kglobalaccel");
const static QString kglobalInterface = QStringLiteral("org.kde.KGlobalAccel");

KglobalAccelHelper::KglobalAccelHelper(QObject *parent) : QObject(parent)
{
    m_kglobalInterface = new QDBusInterface(kglobalService,
                                       kglobalPath,
                                       kglobalInterface,
                                       QDBusConnection::sessionBus(),
                                       this);
}

KglobalAccelHelper::~KglobalAccelHelper()
{

}

bool KglobalAccelHelper::blockShortcut(bool val)
{
    QDBusMessage result = m_kglobalInterface->call("blockGlobalShortcuts",val);
    if (result.type() == QDBusMessage::ErrorMessage) {
        qWarning() << "blockShortcut error:" << result.errorMessage();
        return false;
    }
    return true;
}
